<!DOCTYPE html>
<html>
<head>
    <title>Formulario solo prueba de HTML5</title>
</head>
<body>

    <form action="" method="get">
        <p>Nombre:
            <input type="text" name="name_control" autofocus required />
        </p>
        <p>Correo electrónico: 
            <input type="email" name="email_control" required />
        </p>
        <p>URL: 
            <input type="url" name="url_control" placeholder="Escribe la URL de tu página web personal"/>
        </p>
        <p>Fecha: 
            <input type="date" name="date_control" />
        </p>
        <p>Tiempo: 
            <input type="time" name="time_control" />
        </p>
        <p>Fecha y hora: 
            <input type="datetime" name="datetime_control" />
        </p>
        <p>Mes: 
            <input type="month" name="month_control" />
        </p>
        <p>Semana: 
            <input type="week" name="week_control" />
        </p>
        <p>Número (min -10, max 10): 
            <input type="number" name="number_control" min="-10" max="10" value="0" />
        </p>
        <p>Teléfono: 
            <input type="tel" name="tel_control" />
        </p>
        <p>Término de búsqueda: 
            <input type="search" name="search_control" />
        </p>
        <p>Color favorito: 
            <input type="color" name="color_control" />
        </p>
        <p>
            <input type="submit" value="Enviar" />
        </p>

    </form>
</body>
</html>
